export interface ICommand {
    command?: string,
    deviceId?: string,
    type?: string
}

export interface IDevice {
    id: string,
    name: string,
    supportsCommand(commandName: string): boolean,
    getCommand(commandName: string): ICommand,
    commands: { [name: string]: ICommand };
    on: boolean;
}